#ifndef DAEMON_H
#define DAEMON_H
#include <QObject>
#include <kappwidgetprovider.h>

using namespace AppWidget;

class Daemon :public KAppWidgetProvider
{
    Q_OBJECT
public:
    Daemon(QString providername = "weather",QObject *parent = nullptr);

private:
    void appWidgetClicked(const QString &widgetname, const QDBusVariant &value);
};

#endif // DAEMON_H
